## step 4.11.80

=== step/CMakeLists.txt ===
set(step_SRCS
    arrow.cc
    clipboard.cc
    mainwindow.cc
    worldmodel.cc
    worldscene.cc
    worldgraphics.cc
    worldbrowser.cc
    propertiesbrowser.cc
    infobrowser.cc
    undobrowser.cc
    itempalette.cc
    worldfactory.cc
    particlegraphics.cc
    polygongraphics.cc
    gasgraphics.cc
    softbodygraphics.cc
    springgraphics.cc
    motorgraphics.cc
    jointgraphics.cc
    toolgraphics.cc
    simulationthread.cc
    unitscalc.cc
    latexformula.cc
    messageframe.cc
    main.cc
)

set(step_UIS
    create_gas_particles.ui
    create_softbody_items.ui
    configure_graph.ui
    configure_meter.ui
    configure_controller.ui
    configure_step_general.ui)

set(step_KCFGS
    settings.kcfgc)

if(STEPCORE_WITH_QT)
    add_definitions(-DSTEPCORE_WITH_QT)
endif(STEPCORE_WITH_QT)

if(STEPCORE_WITH_GSL)
    add_definitions(-DSTEPCORE_WITH_GSL)
endif(STEPCORE_WITH_GSL)

if(STEP_WITH_QALCULATE)
    add_definitions(-DSTEP_WITH_QALCULATE)
    add_definitions(-DSTEP_WITH_UNITSCALC)
    add_definitions(${QALCULATE_CFLAGS})
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
    set(qalculate_LIBS ${QALCULATE_LIBRARIES})
endif(STEP_WITH_QALCULATE)

find_package(KDE4 REQUIRED)
include_directories( ${KDE4_INCLUDES} ${OPENGL_INCLUDE_DIR})
add_definitions( ${KDE4_DEFINITIONS} )

kde4_add_ui_files( step_SRCS ${step_UIS} )
kde4_add_kcfg_files( step_SRCS ${step_KCFGS} )

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

kde4_add_executable(step ${step_SRCS})
target_link_libraries(step
    stepcore
    ${KDE4_KHTML_LIBS}
    ${KDE4_KNEWSTUFF3_LIBS}
    ${QT_QTOPENGL_LIBRARY}
    ${qalculate_LIBS})

install(TARGETS step ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES step.kcfg DESTINATION  ${KCFG_INSTALL_DIR})
install(FILES stepui.rc DESTINATION  ${DATA_INSTALL_DIR}/step)
install(FILES step.knsrc DESTINATION  ${CONFIG_INSTALL_DIR})
install( PROGRAMS step.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )

add_subdirectory(icons)
add_subdirectory(data)

## step 4.7.1

=== debian/changelog ===
step (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Sep 2011 01:18:13 +0200

step (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Fri, 09 Sep 2011 23:59:34 -0400

step (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release 
  * Drop step_needs_-lcln.diff as it's not needed anymore 

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 27 Jul 2011 11:30:05 +0200

step (4:4.6.90+repack-0ubuntu1) oneiric; urgency=low

  * New upstream release candidate
    - bump kde-cd-dev-latest dep
  * Split packaging from kdeedu
    - refresh step_needs_-lcln.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 13 Jul 2011 16:03:30 +0200

=== debian/control ===
Source: step
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Philip Muskovac <yofel@kubuntu.org>
Build-Depends: cmake,
               debhelper (>= 7.3.16),
               kde-sc-dev-latest (>= 4:4.7.1),
               kdelibs5-dev (>= 4:4.6),
               libeigen2-dev,
               libglib2.0-dev,
               libgsl0-dev,
               libqalculate-dev,
               libqt4-opengl-dev,
               libx11-dev,
               libxml2-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/step
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/step

Package: step
Architecture: amd64 i386 powerpc
Section: science
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: interactive physical simulator for KDE
 With Step you can not only learn but feel how physics works. You place some
 bodies on the scene, add some forces such as gravity or springs, then click
 "Simulate" and Step shows you how your scene will evolve according to the
 laws of physics. You can change every property of bodies/forces in your
 experiment (even during simulation) and see how this will change evolution
 of the experiment.
 .
 This package is part of the KDE education module.

Package: step-dbg
Architecture: amd64 i386 powerpc
Section: debug
Priority: extra
Depends: kde-runtime-dbg, step (= ${binary:Version}), ${misc:Depends}
Breaks: kdeedu-dbg
Replaces: kdeedu-dbg
Description: debugging symbols for the KDE education module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=step-dbg

## step 4.7.2

=== debian/changelog ===
step (4:4.7.2-1) experimental; urgency=low

  * Initial release. Start from the Kubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:41:55 -0300

=== debian/control ===
Source: step
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7),
 libeigen2-dev (>= 2.0.3),
 libglib2.0-dev,
 libgsl0-dev,
 libqalculate-dev,
 libqt4-opengl-dev,
 libx11-dev,
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/step.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/step.git

Package: step
Architecture: any
Section: science
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interactive physical simulator for KDE
 With Step you can not only learn but feel how physics works. You place some
 bodies on the scene, add some forces such as gravity or springs, then click
 "Simulate" and Step shows you how your scene will evolve according to the
 laws of physics. You can change every property of bodies/forces in your
 experiment (even during simulation) and see how this will change evolution
 of the experiment.
 .
 This package is part of the KDE education module.

## step 4.7.4

=== debian/changelog ===
step (4:4.7.4-1) experimental; urgency=low

  * New upstream release. 
  
  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.
  * Add myself to Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:36:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>
+Uploaders: Eshat Cakar <info@eshat.de>,
+ José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.7),

## step 4.8.2

=== debian/changelog ===
step (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 03 Apr 2012 18:58:44 +0530

step (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 21:17:14 +0100

step (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 23 Jan 2012 22:15:12 +0100

step (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:36 +0000

step (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 22:10:32 +0100

step (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 17 Dec 2011 15:07:00 +0000

step (4:4.7.3-0ubuntu2) precise; urgency=low

  * Build step on all architectures since it doesn't use OpenGL directly.
  * Fix Vcs links.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 05 Dec 2011 14:23:46 +0100

step (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian Git, remaining change
   - step is arch dependent not arch any, no arm build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:47:08 +0000

step (4:4.7.2-0r0) UNRELEASED; urgency=low

  * Initial release. Start from the Kubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 24 Oct 2011 23:04:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: step
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Eshat Cakar <info@eshat.de>
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7),
+ kdelibs5-dev (>= 4:4.8.1),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,
@@ -15,8 +15,10 @@
  libx11-dev,
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/step.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/step.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/step
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/step
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/step.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/step.git
 
 Package: step
 Architecture: any

## step 4.8.4

=== debian/changelog ===
step (4:4.8.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4.8.4.
  * Bump kdelibs5-dev build dependency to 4.8.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Add watch file.
  * Convert copyright to copyright-format v1.0 and fix/update.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Jun 2012 20:04:58 +0200

step (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Wed, 07 Mar 2012 17:55:58 +0100

=== debian/control ===
Source: step
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8),
 libeigen2-dev (>= 2.0.3),
 libglib2.0-dev,
 libgsl0-dev,
 libqalculate-dev,
 libqt4-opengl-dev,
 libx11-dev,
Standards-Version: 3.9.3
Homepage: http://edu.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/step.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/step.git

Package: step
Architecture: any
Section: science
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interactive physical simulator for KDE
 With Step you can not only learn but feel how physics works. You place some
 bodies on the scene, add some forces such as gravity or springs, then click
 "Simulate" and Step shows you how your scene will evolve according to the
 laws of physics. You can change every property of bodies/forces in your
 experiment (even during simulation) and see how this will change evolution
 of the experiment.
 .
 This package is part of the KDE education module.

## step 4.8.5

=== debian/changelog ===
step (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:55:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: step
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Eshat Cakar <info@eshat.de>
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8),
+ kdelibs5-dev (>= 4:4.8.1),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,
  libqalculate-dev,
  libqt4-opengl-dev,
  libx11-dev,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/step.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/step.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/step
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/step
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/step.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/step.git
 
 Package: step
 Architecture: any

## step 4.9.0

=== debian/changelog ===
step (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:51:39 +0100

step (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 23:49:58 +0200

step (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 16:20:05 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1),
+ kdelibs5-dev (>= 4:4.9.0),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

## step 4.9.1

=== debian/changelog ===
step (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 04 Sep 2012 15:35:46 +0530

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.0),
+ kdelibs5-dev (>= 4:4.9.1),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

## step 4.9.2

=== debian/changelog ===
step (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:48:35 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.1),
+ kdelibs5-dev (>= 4:4.9.2),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

## step 4.9.3

=== debian/changelog ===
step (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:53:27 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.9.3),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

## step 4.9.90

=== debian/changelog ===
step (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:21:53 +0000

step (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:29:24 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.3),
+ kdelibs5-dev (>= 4:4.9.90),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

## step 4.9.95

=== debian/changelog ===
step (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:52:25 +0000

step (4:4.7.2-0r0) raring; urgency=low

  * Initial release. Start from the Kubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 24 Oct 2011 23:04:59 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.90),
+ kdelibs5-dev (>= 4:4.9.95),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

## step 4.9.97

=== debian/changelog ===
step (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:51:49 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.95),
+ kdelibs5-dev (>= 4:4.9.97),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

## step 4.9.98

=== debian/changelog ===
step (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:36:30 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.97),
+ kdelibs5-dev (>= 4:4.9.98),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

## step 4.10.0

=== debian/changelog ===
step (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.98),
+ kdelibs5-dev (>= 4:4.10.0),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

## step 4.10.1

=== debian/changelog ===
step (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 17:03:15 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0),
+ kdelibs5-dev (>= 4:4.10.1),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

## step 4.10.2

=== debian/changelog ===
step (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:07:25 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.1),
+ kdelibs5-dev (>= 4:4.10.2),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

## step 4.10.3

=== debian/changelog ===
step (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 May 2013 16:55:09 +0000

step (4:4.10.2-1) experimental; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Bump the kde-sc-dev-latest and kdelibs5-dev build dependencies to 4.10.
  * Update Uploaders.

 -- Sune Vuorela <sune@debian.org>  Thu, 11 Apr 2013 21:44:29 +0000

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,22 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>
-Build-Depends: 
+Uploaders: Eshat Cakar <info@eshat.de>,
+Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2),
+ kdelibs5-dev (>= 4:4.10),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,
  libqalculate-dev,
  libqt4-opengl-dev,
  libx11-dev,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/step
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/step
-X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/step.git
-X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/step.git
+X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/step.git
+X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/step.git
 
 Package: step
 Architecture: any

## step 4.10.4

=== debian/changelog ===
step (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 01:00:18 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10),
+ kdelibs5-dev (>= 4:4.10.4),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

## step 4.10.80

=== debian/changelog ===
step (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 02:05:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.4),
+ kdelibs5-dev (>= 4:4.10.80),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

## step 4.10.90

=== debian/changelog ===
step (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:37:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.80),
+ kdelibs5-dev (>= 4:4.10.90),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

## step 4.10.95

=== debian/changelog ===
step (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:43 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.90),
+ kdelibs5-dev (>= 4:4.10.95),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

## step 4.10.97

=== debian/changelog ===
step (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 20:16:38 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.95),
+ kdelibs5-dev (>= 4:4.10.97),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

## step 4.11.0

=== debian/changelog ===
step (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:47:11 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.97),
+ kdelibs5-dev (>= 4:4.11.0),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

## step 4.11.1

=== debian/changelog ===
step (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:46:38 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.0),
+ kdelibs5-dev (>= 4:4.11.1),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

## step 4.11.2

=== debian/changelog ===
step (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 15:03:04 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.1),
+ kdelibs5-dev (>= 4:4.11.2),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

## step 4.11.5

=== debian/changelog ===
step (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:55:32 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.11.5),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,
@@ -15,8 +15,8 @@
  libx11-dev,
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/step
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/step
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/step-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/step-13.10
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/step.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/step.git

## step 4.11.80

=== debian/changelog ===
step (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 18:08:15 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.5),
+ kdelibs5-dev (>= 4:4.11.80),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,
@@ -15,8 +15,8 @@
  libx11-dev,
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/step-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/step-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/step
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/step
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/step.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/step.git

## step 4.11.95

=== debian/changelog ===
step (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:47:07 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.80),
+ kdelibs5-dev (>= 4:4.11.95),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

## step 4.11.97

=== debian/changelog ===
step (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:52:54 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.95),
+ kdelibs5-dev (>= 4:4.11.97),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

## step 4.12.0

=== debian/changelog ===
step (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:54:26 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.97),
+ kdelibs5-dev (>= 4:4.12.0),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

## step 4.13.0

=== doc/CMakeLists.txt ===
########### install files ###############
#
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR step)

=== debian/changelog ===
step (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:34:51 +0100

step (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 12:03:07 +0200

step (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 13:06:45 +0100

step (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 12:11:32 +0000

step (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:23:02 +0100

step (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:37:09 +0000

step (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:51:34 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.0),
+ kdelibs5-dev (>= 4:4.13.0),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/step-([\d\.]*).tar.xz

## step 4.13.3

=== CMakeLists.txt ===
project(step)

cmake_minimum_required(VERSION 2.6.0)
set(KDE_MIN_VERSION "4.3")

find_package(KDE4 REQUIRED)

include(KDE4Defaults)

set(CMAKE_MODULE_PATH ${step_SOURCE_DIR}/cmake/modules )

find_package(Eigen2 2.0.3)
macro_optional_find_package(GSL)
macro_optional_find_package(Qalculate)

macro_log_feature(EIGEN2_FOUND "Eigen2" "Required to build step." "http://eigen.tuxfamily.org" TRUE "2.0.3" "")
macro_log_feature(QALCULATE_FOUND "Qalculate" "Unit conversion support in Step" "http://qalculate.sourceforge.net/" FALSE "0.9.5" "")
macro_log_feature(GSL_FOUND "GSL" "Provides a GSL-powered solver for Step" "http://www.gnu.org/software/gsl/" FALSE "1.8" "")

set(STEPCORE_WITH_GSL ${GSL_FOUND} CACHE BOOL "Enable GSL-powered features for StepCore")
set(STEPCORE_WITH_QT ON) # CACHE BOOL "Enable QT-powered features for StepCore")
set(STEP_WITH_QALCULATE ${QALCULATE_FOUND} CACHE BOOL "Enable unit conversion support using libqalculate")

if (EIGEN2_FOUND)
   include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${EIGEN2_INCLUDE_DIR})

   add_subdirectory(doc) 
   add_subdirectory(stepcore)
   add_subdirectory(step)

   add_subdirectory(stepcore_tests)
endif (EIGEN2_FOUND)

if (${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR})
   macro_display_feature_log()
endif (${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR})

=== stepcore_tests/CMakeLists.txt ===
set(stepcore_tests_SRCS
    maintest.cc
    metaobject.cc
    worldcopy.cc
    contacts.cc
)

if(STEPCORE_WITH_QT)
    add_definitions(-DSTEPCORE_WITH_QT)
endif(STEPCORE_WITH_QT)

if(STEPCORE_WITH_GSL)
    add_definitions(-DSTEPCORE_WITH_GSL)
endif(STEPCORE_WITH_GSL)

set(QT_DONT_USE_QTGUI ON)
set(QT_USE_QTTEST ON)
find_package(Qt4 REQUIRED)
include(${QT_USE_FILE})

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_definitions(-Wall) # XXX ?

kde4_add_unit_test(tests NOGUI ${stepcore_tests_SRCS})
target_link_libraries(tests stepcore ${QT_LIBRARIES})

=== step/data/CMakeLists.txt ===
if(CURRENT_LANG)
    set(STEP_BUILD_TRANSLATIONS 1)
endif(CURRENT_LANG)

if(STEP_BUILD_TRANSLATIONS)

    find_package(PythonInterp)
    set(EXTRACTXML_EXECUTABLE ${CMAKE_CURRENT_SOURCE_DIR}/extractxml)

    if(PYTHON_EXECUTABLE)

        # STEP_PROCESS_XML_TRANSLATION(<lang> <extractxml_args> [ALL] [INSTALL_DESTINATION <dir>] <xml1> <xml2> ...)
        macro(STEP_PROCESS_XML_TRANSLATION _lang _po_file _extractxml_args)
            set(_xmlfiles_tr)
            set(_args ${ARGN})
            set(_addToAll)
            set(_installDest)

            list(GET _args 0 _tmp)
            if("${_tmp}" STREQUAL "ALL")
                set(_addToAll ALL)
                list(REMOVE_AT _args 0)
            endif("${_tmp}" STREQUAL "ALL")
           
            list(GET _args 0 _tmp)
            if("${_tmp}" STREQUAL "INSTALL_DESTINATION")
                list(GET _args 1 _installDest )
                list(REMOVE_AT _args 0 1)
            endif("${_tmp}" STREQUAL "INSTALL_DESTINATION")

            if(EXISTS ${_po_file})
                get_filename_component(_po_file_we ${_po_file} NAME_WE)
                set(_mo_file ${CMAKE_CURRENT_BINARY_DIR}/${_po_file_we}.mo)
                add_custom_command(OUTPUT ${_mo_file}
                    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_mo_file} ${_po_file}
                    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
                    DEPENDS ${_po_file}
                )

                foreach(_xmlfile ${_args})
                    get_filename_component(_xmlfile_basename ${_xmlfile} NAME)
                    set(_xmlfile_tr ${CMAKE_CURRENT_BINARY_DIR}/${_xmlfile_basename})
                    set(_extractxml_args_copy ${_extractxml_args})
                    separate_arguments(_extractxml_args_copy)
                    add_custom_command(OUTPUT ${_xmlfile_tr}
                        COMMAND ${EXTRACTXML_EXECUTABLE} --translate --mo-file=${_mo_file} --output-dir=${CMAKE_CURRENT_BINARY_DIR} ${_extractxml_args_copy} ${_xmlfile}
                        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
                        DEPENDS ${_xmlfile} ${_mo_file}
                    )
                    if(_installDest)
                        install(FILES ${_xmlfile_tr} DESTINATION ${_installDest}/${_lang})
                    endif(_installDest)
                    list(APPEND _xmlfiles_tr ${_xmlfile_tr})
                endforeach(_xmlfile)

                add_custom_target(xmlfiles_tr ${_addToAll} DEPENDS ${_xmlfiles_tr})
            endif(EXISTS ${_po_file})
        endmacro(STEP_PROCESS_XML_TRANSLATION)

    else(PYTHON_EXECUTABLE)
        message("Python executable NOT found - Step data translations will not be build")
        macro(STEP_PROCESS_XML_TRANSLATION)
        endmacro(STEP_PROCESS_XML_TRANSLATION)
    endif(PYTHON_EXECUTABLE)

endif(STEP_BUILD_TRANSLATIONS)

add_subdirectory(objinfo)
add_subdirectory(examples)
add_subdirectory(tutorials)

=== step/data/examples/CMakeLists.txt ===
FILE(GLOB STEP_EXAMPLE_FILES "*.step")

if(STEP_BUILD_TRANSLATIONS)

    set(po_file ${CMAKE_SOURCE_DIR}/messages/kdeedu/step_example_files.po)
    STEP_PROCESS_XML_TRANSLATION(${CURRENT_LANG} ${po_file}
            "--context='%(tag)s' --tag=name --tag=text --unquote --parse-unquoted='--context=HTML:%(tag)s --tag-regex=^(?:title|body|p|h[1-6])$$ --recursive --strip'"
            ALL INSTALL_DESTINATION ${DATA_INSTALL_DIR}/step/examples
            ${STEP_EXAMPLE_FILES})

else(STEP_BUILD_TRANSLATIONS)

    install(FILES 
       ${STEP_EXAMPLE_FILES}
       DESTINATION  ${DATA_INSTALL_DIR}/step/examples)

endif(STEP_BUILD_TRANSLATIONS)

=== step/icons/actions/CMakeLists.txt ===
kde4_install_icons(${DATA_INSTALL_DIR}/step/icons)

=== debian/changelog ===
step (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)
  * Don't run the tests as their build is disabled in kde4libs

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:39:27 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
  libeigen2-dev (>= 2.0.3),
  libglib2.0-dev,
  libgsl0-dev,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

## step 4.14.1

=== debian/changelog ===
step (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 18:04:49 +0200

step (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:47:28 +0200

step (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:41:51 +0200

step (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 21:00:48 +0200

step (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Refresh replace_eigen2_by_eigen3.patch

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:53:35 +0200

step (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:11:13 +0100

step (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:50 +0200

step (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:08 +0100

step (4:4.11.5-1) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Switch eigen build dependency to libeigen3-dev (Closes: #726162).
    - Apply Anton Gladky's patch to use Eigen3.
  * Bump Standards-Version to 3.9.5, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 18 Jan 2014 21:36:21 -0300

step (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 17:05:08 +0100

step (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 16:53:03 +0200

step (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:43:26 +0200

step (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 14:31:26 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,22 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
-Build-Depends: kde-sc-dev-latest (>= 4:4.10),
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.3),
- libeigen2-dev (>= 2.0.3),
+           Maximiliano Curia <maxy@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.12),
+ cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
+ kdelibs5-dev (>= 4:4.14.1),
+ libeigen3-dev (>= 3.2.0-6),
  libglib2.0-dev,
- libgsl0-dev,
- libqalculate-dev,
+ libgsl0-dev (>= 1.8),
+ libqalculate-dev (>= 0.9.5),
  libqt4-opengl-dev,
  libx11-dev,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/step
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/step
-X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/step.git
-X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/step.git
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/step.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/step.git
 
 Package: step
 Architecture: any

## step 4.14.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,8 @@
    add_subdirectory(stepcore_tests)
 endif (EIGEN2_FOUND)
 
+install(FILES step.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)
+
 if (${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR})
    macro_display_feature_log()
 endif (${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR})

=== debian/changelog ===
step (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:21 +0200

step (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:36 +0200

step (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Aug 2014 19:50:04 +0200

step (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.
  * Add basic autopkgtests.
  * Refresh patch.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 25 Jul 2014 12:49:44 +0200

=== debian/control ===
Source: step
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libeigen3-dev (>= 3.2.0-6),
               libglib2.0-dev,
               libgsl0-dev (>= 1.8),
               libqalculate-dev (>= 0.9.5),
               libqt4-opengl-dev,
               libx11-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://edu.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/step.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/step.git

Package: step
Architecture: any
Section: science
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: interactive physical simulator for KDE
 With Step you can not only learn but feel how physics works. You place some
 bodies on the scene, add some forces such as gravity or springs, then click
 "Simulate" and Step shows you how your scene will evolve according to the
 laws of physics. You can change every property of bodies/forces in your
 experiment (even during simulation) and see how this will change evolution
 of the experiment.
 .
 This package is part of the KDE education module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/step-([\d.]+).tar.xz

## step 14.12.0

=== debian/changelog ===
step (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 15:41:02 +0100

step (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Dec 2014 18:03:53 +0100

step (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:53:38 -0700

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: step
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev,
                libeigen3-dev (>= 3.2.0-6),
                libglib2.0-dev,
                libgsl0-dev (>= 1.8),
@@ -17,8 +17,8 @@
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/step.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/step.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/step.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/step.git
 
 Package: step
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/step-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/step-([\d.]+).tar.xz

## step 14.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,9 @@
    add_subdirectory(stepcore)
    add_subdirectory(step)
 
+   # Note: Disabled temporarily because WorldCopyTestSolver inherits both Body
+   # 	   and Force.  And both of these are now inheriting Item, which
+   # 	   creates an error. This needs to be sorted out.
    add_subdirectory(stepcore_tests)
 endif (EIGEN2_FOUND)

=== step/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
     undobrowser.cc
     itempalette.cc
     worldfactory.cc
+    stepgraphicsitem.cc
     particlegraphics.cc
     polygongraphics.cc
     gasgraphics.cc

=== stepcore_tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,11 @@
 set(stepcore_tests_SRCS
     maintest.cc
     metaobject.cc
-    worldcopy.cc
+
+    # Note: Disabled temporarily because WorldCopyTestSolver inherits both Body
+    # 	   and Force.  And both of these are now inheriting Item, which
+    # 	   creates an error. This needs to be sorted out.
+    #worldcopy.cc
     contacts.cc
 )

=== debian/changelog ===
step (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:21:06 -0700

step (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 Feb 2015 07:29:34 +0100

step (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with
    remote site does not even have current version
  * Fix replace_eigen2_by_eigen3 patch to reflect new text.
  * Fix version for git.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:36:39 -0800

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
                libqt4-opengl-dev,
                libx11-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/step.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/step.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/step.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/step.git
 
 Package: step
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/step-([\d.]+).tar.xz
